Article 2550 of comp.sys.handhelds:
Path: en.ecn.purdue.edu!noose.ecn.purdue.edu!samsung!zaphod.mps.ohio-state.edu!sdd.hp.com!hp-pcd!hpcvra.cv.hp.com!rnews!hpcvbbs!akcs.dnickel
From: akcs.dnickel@hpcvbbs.UUCP (Derek Scott Nickel)
Newsgroups: comp.sys.handhelds
Subject: Re: Re: Lists in the HP48 (really arrays)
Message-ID: <274f6bc9:1222.3comp.sys.handhelds;1@hpcvbbs.UUCP>
Date: 25 Nov 90 07:40:05 GMT
References: <kskalb.659353921@faui1f> <5880@uqcspe.cs.uq.oz.au>
Lines: 27

I've played around with Arrays of odd types (even Ayyays of Code).  The
message tables in HYDE are just Array of String.  But the user-level
commands only recognize 1 and 2 dimensional arrays of Real Number or
Complex Number.

In case any body cares...

Array (029EB)

<prolog><size><item-prolog><#dims><dim-1>...<dim-n><item-1>...
    <item-m>

<prolog> = 029EB (BIN5)

<size> = size of object in nibbles without the prolog (BIN5)

<item-prolog> = prolog of array elements (BIN5)

<#dims> = number of array dimensions (BIN5)

<dim-i> = i-th dimension (BIN5)

<item-j> = j-th item sans prolog (ANY)

n = <#dims>
m = <dim-1> * <dim-2> * ... * <dim-n>

        Derek S. Nickel


